Bug 239978 - Review Request: ants - Guide your ants safely home before they drop of the cliff
Review Request: ants - Guide your ants safely home before they drop of the cliff
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-05-13 16:42 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-22 08:49:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
wtogami: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-05-13 16:42:27 EDT
Spec URL: http://people.atrpms.net/~hdegoede/ants.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ants-1.4-1.fc7.src.rpm
A game inspired by the game Lemmings. You take command in the game of a bunch
of small ants and have to guide them around in levels. Since the ants walk on
their own, the player can only influence them by giving them commands, like
build a bridge, dig a hole or redirect all penguins in the other direction.
The goal of each level is to reach the exit, for which multiple combination of
commands are necessary. The game is presented in a 2D site view.
Comment 1 Jon Ciesla 2007-05-16 08:55:14 EDT
rpmlint is clean, with one exception:

W: ants-level-editor no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

But, then, I don't see any docs specific to it, so never mind.
Meets package naming guidelines.
Spec name is good.
Meets Packaging Guidelines.
License was originally unspecified, but license-info includes dialog with
upstream who declared it Public Domain.
Spec is legible American English.
Sources md5 match.
Builds on i386/FC6 and in mock, as well.
BRs are OK.
No locales, shared libraries or static libraries.
Not relocatable.
Owns created directories.
No listed duplicates.
Permissions/defattrs correct.
%clean present and correct.
Good macros.
Code, not content.
No large docs or runtime doc deps.
No headers or .pc.
No -devel.
No .la.

.desktop is good. However, might not a .desktop for -level-editor be helpful?

No ownership conflicts.
Install begins by whacking buildroot.
All filenames UTF-8.

All MUSTS met, save the .desktop question.

Also, package runs and has no wierd file deps.
Comment 2 Hans de Goede 2007-05-17 11:37:12 EDT
New version with level-editor .desktop file here:
Spec URL: http://people.atrpms.net/~hdegoede/ants.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ants-1.4-2.fc7.src.rpm

I'll try to start reviewing your AGI stuff tonight.
Comment 3 Jon Ciesla 2007-05-17 11:53:03 EDT
Ah, much more elegant.


Thanks for the tit-for-tat. :)
Comment 4 Hans de Goede 2007-05-17 13:16:07 EDT
New Package CVS Request
Package Name:      ants
Short Description: Guide your ants safely home before they drop of the cliff
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 devel
InitialCC:         <empty>
Comment 5 Hans de Goede 2007-05-20 02:55:19 EDT
Something went wrong with this (new) package causing it not to get an F-7 branch

Package Change Request
Package Name: ants
New Branches: F-7
Comment 6 Hans de Goede 2007-05-22 08:49:16 EDT
Build for FC-6 F-7 and devel, closing.

Note You need to log in before you can comment on or make changes to this bug.